Timekit developers

GET /apps

List all the apps (registered "clients" that access our API) you have created with their corresponding settings

Endpoint

GET https://api.timekit.io/v2/apps

Parameters

Name In Type Required Default Description
include query string Availabile includes: resources, subscription

Request examples

curl
curl -X GET \
		 -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     https://api.timekit.io/v2/apps

Response examples

200

json
{
	"data":[
  	{
      "id": "0c3aa054-dcba-4e9f-9717-ac855fe6bb4f",
      "slug": "back-to-the-future",
      "settings": {
        "name": "Back to the Future",
        "callback": "http://myapp.io/#/googlecallback",
        "from_email": "robert.zemeckis@universalpictures.com",
        "from_name": "Robert",
        "contact_name": "Zemeckis",
        "contact_email": "robert.zemeckis@universalpictures.com"
      },
      "stripe_plan": null,
      "stripe_purchased_at": false,
      "created_at": "1985-12-04 12:00:00",
      "updated_at": "2016-09-01 21:17:55"
    },
    {
      "id": "e2c8ee41-43d6-455d-a595-8b89d9a39c2d",
      "slug": "back-to-the-future-2",
      "settings": {
        "name": "Back to the Future Part II",
        "callback": "http://myotherapp.io/#/googlecallback",
        "from_email": "robert.zemeckis@universalpictures.com",
        "from_name": "Robert",
        "contact_name": "Zemeckis",
        "contact_email": "robert.zemeckis@universalpictures.com"
      },
      "stripe_plan": null,
      "stripe_purchased_at": false,
      "created_at": "1989-11-24 12:00:00",
      "updated_at": "2016-09-01 21:17:55"
    }
  ]
}